Bug 175333 - modules not built correctly
modules not built correctly
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gail (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Desktop
Depends On:
Blocks: 170417 175205
  Show dependency treegraph
Reported: 2005-12-08 17:49 EST by Nalin Dahyabhai
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:50:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to override the tarball libtool with one which understands multilib. (349 bytes, patch)
2005-12-08 19:24 EST, Nalin Dahyabhai
no flags Details | Diff

  None (edit)
Description Nalin Dahyabhai 2005-12-08 17:49:35 EST
Description of problem:
On x86_64, there aren't any dynamic modules (.so files) installed into
/usr/lib64/gtk-2.0/modules, only static and libtool archives (.a and .la files).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. env GTK_MODULES=gail:ferret gtk-demo
Actual results:
"Failed to load module"

Expected results:
GTK Accessibility Module initialized
** (gtk-demo:7944): CRITICAL **: atk_relation_set_get_n_relations: assertion
`ATK_IS_RELATION_SET (set)' failed
Comment 1 Nalin Dahyabhai 2005-12-08 19:24:54 EST
Created attachment 122048 [details]
Patch to override the tarball libtool with one which understands multilib.
Comment 4 RHEL Product and Program Management 2007-10-19 14:50:09 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.